Difference between revisions of "MediaWiki:Mycetodessei.css"

From Mushpedia
Jump to: navigation, search
(fixing border on login and colors on reg page)
(Replaced content with "working on revisions: ")
Line 1: Line 1:
/* Current Issues:
+
/* working on revisions */
- link color on light colored info boxes where text is forced black. need to find a fix somehow.
+
*/
+
 
+
/* default text color */
+
div#content {
+
color: #eae9ec;
+
}
+
/* changing headers to new font color */
+
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 .title { font-weight: bold; color:#eae9ec; }
+
 
+
/* nav box headers */
+
#p-navigation, #p-search, #p-cactions, #p-personal, #p-tb {
+
background: #2d2341;
+
background: rgba( 45, 35, 65, .95);
+
opacity: .95;
+
+
 
+
/* left column nav bg  */
+
.pBody { background: #161120; opacity: .9; background: rgba(22, 17, 32, 0.9); border:1px solid #161120; border-radius: 0 0 10px 10px; }
+
 
+
/* main content dark */
+
div#content, #content table, div#footer { background: #161120; background: rgba( 22, 17, 32, .95); }
+
 
+
/* additional bg areas */
+
table.mw_metadata td {
+
background-color: #161120;
+
}
+
#pagehistory li.selected {
+
background-color: #211a31 !IMPORTANT;
+
border: 1px dashed #aaa;
+
}
+
ul#filetoc {
+
background-color: #161120;
+
}
+
table.mw_metadata th {
+
background-color: #161120;
+
}
+
 
+
/* thumbnail borders */
+
.thumbinner {
+
border: 1px solid #161120 !IMPORTANT;
+
padding: 3px !important;
+
background-color: #161120 !IMPORTANT;
+
font-size: 94%;
+
text-align: center;
+
overflow: hidden;
+
}
+
 
+
 
+
/* right column nav bg */
+
#p-personal h3, #p-cactions h3 { display: inline; }
+
#p-personal .pBody, #p-cactions .pBody { background: #161120; background: rgba(22, 17, 32, 0.9); font-size: 95%; line-height: normal; } 
+
 
+
 
+
/* Colored watchlist and recent changes numbers */
+
.mw-plusminus-pos {
+
color: #00b100; /* green */
+
}
+
.mw-plusminus-neg {
+
color: #d80000; /* red */
+
}
+
 
+
/* Links */
+
a, #p-cactions a, #p-personal a {
+
color: #caa0e6 !IMPORTANT;
+
}
+
a:visited, #p-cactions a:visited, #p-personal a:visited {
+
color: #e0c8f0 !IMPORTANT;
+
}
+
/* a:active {
+
color: #faa700;
+
} */
+
/* a:hover, a:focus {
+
text-decoration: underline;
+
} */
+
/* a.stub {
+
color: #772233;
+
} */
+
#p-personal li.selected a, #p-cactions li.selected a  {
+
    background: #d9d3f8;
+
    background: rgba(217, 211, 248, 0.9);
+
    color: #2d2341 !IMPORTANT;
+
    border-radius: 5px;
+
}
+
a.new, #p-cactions a.new, #p-personal a.new {
+
color: #ff0000 !IMPORTANT;
+
}
+
a.new:visited, #p-cactions a.new:visited, #p-personal a.new:visited {
+
color: #e95585 !IMPORTANT;
+
}
+
 
+
/* External links */
+
.mw-body a.external {
+
color: #cbd2e9 !IMPORTANT;
+
}
+
.mw-body a.external:visited {
+
color: #95a3d2 !IMPORTANT; /* bug 3112  */
+
}
+
 
+
 
+
/* table code */
+
table.wikitable {
+
margin: 1em 0;
+
background-color: #2d2341;
+
background: rgba(45, 35, 65, .95);
+
border: 1px #aaa solid;
+
border-collapse: collapse;
+
color: #eae9ec;
+
}
+
table.wikitable > tr > th,
+
table.wikitable > tr > td,
+
table.wikitable > * > tr > th,
+
table.wikitable > * > tr > td {
+
border: 1px #aaa solid;
+
padding: 0.2em;
+
}
+
table.wikitable > tr > th,
+
table.wikitable > * > tr > th {
+
background: #0d0a13;
+
background: rgba( 13, 10, 19, .95);
+
text-align: center;
+
color: #eae9ec;
+
}
+
table.wikitable > caption {
+
font-weight: bold;
+
}
+
 
+
/* category listings */
+
#catlinks {
+
  background: #211a31;
+
  background: rgba ( 33, 26, 49, .95);
+
}
+
 
+
/* watch notification pop up */
+
.mw-notification {
+
border: solid 1px #ddd;
+
background-color: #211a31 !IMPORTANT;
+
}
+
 
+
/* preferences bg color */
+
 
+
#preferences {
+
background-color: #161120;
+
background-color: rgba( 22, 17, 32, .1);
+
}
+
.prefsection table, .prefsection legend {
+
background-color: #161120;
+
}
+
#preftoc a, #preftoc a:active {
+
background-color: #161120;
+
}
+
#preftoc li {
+
margin: 1px -1px 1px 1px;
+
padding: 0px 0 0px 0;
+
border: 1px solid #fff;
+
}
+
#preftoc li.selected {
+
background-color: #161120;
+
}
+
 
+
/* diff comparison text color change */
+
td.diff-deletedline .diffchange {
+
background: #feeec8;
+
color: black;
+
}
+
td.diff-addedline .diffchange {
+
background: #d8ecff;
+
color: black;
+
}
+
 
+
/* hover for right menu */
+
#p-personal li a:hover, #p-cactions li a:hover {
+
background:#369;
+
text-decoration:none;
+
}
+
 
+
 
+
 
+
 
+
/* logo change */
+
#p-logo { position: relative; text-align: center; width: 100%; height: 125px; overflow: hidden; margin: 0; }
+
#p-logo a, #p-logo a:hover {
+
  margin: 10px auto;
+
  background-position: 50% center !important;
+
  height: 100px;
+
  width: 600px;
+
  background-image: url("http://www.mushpedia.com/skins/common/images/myco_logo.png");
+
  background-color: transparent;
+
}
+
 
+
 
+
/* playing with font */
+
body { font-family: Tahoma; letter-spacing:.04em; }
+
 
+
/* whitespace */
+
dd {
+
line-height: 1.5em;
+
margin-bottom: .75em;
+
}
+
ul {
+
line-height: 1.75em;
+
list-style-type: square;
+
}
+
 
+
/* new article box */
+
div.noarticletext {
+
background: #161120;
+
color: #eae9ec;
+
}
+
 
+
/* code tag change */
+
code {
+
color: black;
+
}
+
 
+
/* column tweaks */
+
.frontpage_column {
+
width: 16.5%;
+
display: block;
+
padding: 1%;
+
box-sizing: border-box;
+
float: left;
+
word-wrap: break-word;
+
}
+
.frontpage_column h4 { padding: 0; }
+
 
+
/* borders around content areas */
+
div#content, #p-cactions, #p-personal, #p-search, #p-navigation, #p-tb, div#footer {
+
border: 1px solid rgba(255,255,255,.3);
+
}
+
 
+
/* login page */
+
div#userloginForm, div#userlogin  {
+
    background-color: #161120 !important;
+
    border: 1px solid rgba(255,255,255,.3);
+
    clear: both;
+
    float: left;
+
    margin: 0 3em 1em 0;
+
    padding: 1.5em 2em;
+
}
+
div#userloginForm table, div#userlogin table {
+
    background-color: #161120 !important;
+
}
+
 
+
/* registration page */
+
div#userlogin .captcha, div#userloginForm .captcha {
+
    background-color: #161120;
+
    border: 1px solid rgba(255, 255, 255, 0.3);
+
    padding: 1.5em 2em;
+
}
+
 
+
/* Everything below this line should stay here and NOT go into the internal skin file */
+
 
+
/* fixing some text issues */
+
.skill-level a, .skill-level-mush a {
+
color: #FFF !important;
+
font-size: 0.95em;
+
font-weight: bold;
+
font-family: "Days One", "Segoe UI", "Lucida Grande", "Trebuchet MS", Arial, "lucida sans unicode", sans-serif;
+
text-shadow: 0px 0px 1px #000;
+
}
+
 
+
.mush-status-kept, .mush-status-lost, .mush-status-only, .mush-status-none { color: black;  }
+
 
+
/* main template */
+
.template-main {
+
border: 1px solid #ccc;
+
background: #1d1020;
+
}
+

Revision as of 08:42, 27 February 2014

/* working on revisions */